devel/ocaml-angstrom - The NetBSD Packages Collection

Parser combinators for OCaml

Angstrom is a parser-combinator library that makes it easy to write efficient,
expressive, and reusable parsers suitable for high-performance applications.
It exposes monadic and applicative interfaces for composition, and supports
incremental input through buffered and unbuffered interfaces. Both interfaces
give the user total control over the blocking behavior of their application,
with the unbuffered interface enabling zero-copy IO. Parsers are backtracking
by default and support unbounded lookahead.

Build dependencies

misc/ocaml-opaline pkgtools/cwrappers misc/ocaml-opaline

Runtime dependencies

devel/ocaml-dune devel/ocaml-findlib lang/ocaml devel/ocaml-async devel/ocaml-bigstringaf devel/ocaml-lwt devel/ocaml-result devel/ocaml-dune devel/ocaml-findlib devel/ocaml-async devel/ocaml-bigstringaf devel/ocaml-lwt

Binary packages

OSArchitectureVersion
NetBSD 8.0i386ocaml-angstrom-0.11.1.tgz
NetBSD 8.0i386ocaml-angstrom-0.11.1.tgz
NetBSD 8.0i386ocaml-angstrom-0.11.1nb1.tgz
NetBSD 8.0powerpcocaml-angstrom-0.11.1.tgz
NetBSD 8.0powerpcocaml-angstrom-0.11.1.tgz
NetBSD 8.0x86_64ocaml-angstrom-0.11.1.tgz
NetBSD 8.0x86_64ocaml-angstrom-0.11.1.tgz
NetBSD 9.0aarch64ocaml-angstrom-0.11.1nb1.tgz
NetBSD 9.0aarch64ocaml-angstrom-0.11.1.tgz
NetBSD 9.0aarch64ocaml-angstrom-0.11.1.tgz
NetBSD 9.0earmv6hfocaml-angstrom-0.11.1nb1.tgz
NetBSD 9.0earmv6hfocaml-angstrom-0.11.1.tgz
NetBSD 9.0earmv6hfocaml-angstrom-0.11.1.tgz
NetBSD 9.0earmv7hfocaml-angstrom-0.11.1nb1.tgz
NetBSD 9.0earmv7hfocaml-angstrom-0.11.1.tgz
NetBSD 9.0earmv7hfocaml-angstrom-0.11.1.tgz
NetBSD 9.0i386ocaml-angstrom-0.11.1.tgz
NetBSD 9.0i386ocaml-angstrom-0.11.1.tgz
NetBSD 9.0i386ocaml-angstrom-0.11.1nb1.tgz
NetBSD 9.0powerpcocaml-angstrom-0.11.1.tgz
NetBSD 9.0x86_64ocaml-angstrom-0.11.1.tgz
NetBSD 9.0x86_64ocaml-angstrom-0.11.1.tgz
NetBSD 9.0x86_64ocaml-angstrom-0.11.1.tgz
NetBSD 9.0x86_64ocaml-angstrom-0.11.1.tgz
NetBSD 9.0x86_64ocaml-angstrom-0.11.1.tgz
NetBSD 9.0x86_64ocaml-angstrom-0.11.1nb1.tgz
NetBSD 9.0x86_64ocaml-angstrom-0.11.1nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.